Summary: Promiscuous mode IP Accounting package
Name: pmacct
Version: 1.5.1
Release: 3
License: GPL
Group: Productivity/Networking/Diagnostic
Source0: http://www.pmacct.net/%{name}-%{version}.tar.gz
Source1: pmacctd.conf
Source2: sfacctd.conf
#Patch:   pgsql_plugin.c.patch
URL: http://www.pmacct.net/
BuildRoot: %{_tmppath}/%{name}-root

Requires: mysql-server, jansson
BuildRequires: mysql-devel, jansson-devel
Requires: libpcap, opmon-traffic, sudo
BuildRequires: libpcap-devel

%description
pmacct is a small set of passive network monitoring tools to measure, account, classify and aggregate IPv4 and IPv6 traffic; a pluggable and flexible architecture allows to store the collected traffic data into memory tables or SQL (MySQL, SQLite, PostgreSQL) databases. pmacct supports fully customizable historical data breakdown, flow sampling, filtering and tagging, recovery actions, and triggers. Libpcap, sFlow v2/v4/v5 and NetFlow v1/v5/v7/v8/v9 are supported, both unicast and multicast. Also, a client program makes it easy to export data to tools like RRDtool, GNUPlot, Net-SNMP, MRTG, and Cacti.

%prep
%setup -q

#%patch

%build
export CFLAGS="%{optflags}"
export AM_CFLAGS="%{optflags}"

%ifarch i386
	PMACCT_BASE_CONFIG="
    --prefix=%{_prefix}
    --bindir=%{_bindir}
    --sbindir=%{_sbindir}
    --sysconfdir=%{_sysconfdir}/%{name}
    --enable-64bit
    --enable-mysql
    --enable-ipv6
    --enable-threads
    --enable-jansson"
%else
	PMACCT_BASE_CONFIG="
    --prefix=%{_prefix}
    --bindir=%{_bindir}
    --sbindir=%{_sbindir}
    --sysconfdir=%{_sysconfdir}/%{name}
    --enable-64bit
    --enable-mysql
    --enable-ipv6
    --enable-threads
    --enable-jansson"
%endif

./configure $PMACCT_BASE_CONFIG
make

%install
%{__rm} -rf %{buildroot}
%makeinstall


#%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/init.d
#%{__cp} -afpv nfacctd.init %{buildroot}%{_sysconfdir}/init.d/nfacctd
#%{__cp} -afpv sfacctd.init %{buildroot}%{_sysconfdir}/init.d/sfacctd
#%{__cp} -afpv pmacctd.init %{buildroot}%{_sysconfdir}/init.d/pmacctd
# %{__install} -Dpm555 examples/nfacctd-print.conf.example %{buildroot}/%{_sysconfdir}/pmacct/nfacctd.conf
%{__install} -Dpm644 examples/pmacctd-imt.conf.example %{buildroot}/%{_sysconfdir}/pmacct/pmacctd-sample.conf
%{__install} -Dpm644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/pmacct/pmacctd.conf
%{__install} -Dpm644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/pmacct/sfacctd.conf
# touch %{buildroot}/%{_sysconfdir}/pmacct/sfacctd.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog CONFIG-KEYS COPYING QUICKSTART FAQS INSTALL KNOWN-BUGS NEWS README TODO TOOLS UPGRADE docs examples sql
%defattr(-, root, root, 0755)
%{_bindir}/*
%{_sbindir}/*
#%{_sysconfdir}/init.d/*
%defattr(-, apache, apache)
%config(noreplace) %{_sysconfdir}/pmacct
%config(noreplace) %{_sysconfdir}/pmacct/pmacctd-sample.conf
%config(noreplace) %{_sysconfdir}/pmacct/pmacctd.conf

%post
#/sbin/chkconfig --add pmacctd
#/sbin/chkconfig --add sfacctd
#/sbin/chkconfig --add nfacctd

if [ `/bin/cat /etc/sudoers | grep "apache  ALL=(ALL)       NOPASSWD: /usr/sbin/nfacctd" | wc -l` -eq 0 ]; then
	/usr/bin/printf %b "apache  ALL=(ALL)       NOPASSWD: /usr/sbin/nfacctd\n" >> /etc/sudoers
fi

if [ `/bin/cat /etc/sudoers | grep "apache  ALL=(ALL)       NOPASSWD: /etc/init.d/optrafficd" | wc -l` -eq 0 ]; then
	/usr/bin/printf %b "apache  ALL=(ALL)       NOPASSWD: /etc/init.d/optrafficd\n" >> /etc/sudoers
fi

if [ `/bin/cat /etc/sudoers | grep "apache  ALL=(ALL)       NOPASSWD: /bin/netstat" | wc -l` -eq 0 ]; then
	/usr/bin/printf %b "apache  ALL=(ALL)       NOPASSWD: /bin/netstat\n" >> /etc/sudoers
fi

%preun
#/sbin/service pmacctd stop >/dev/null 2>&1 || :
#/sbin/service sfacctd stop >/dev/null 2>&1 || :
#/sbin/service nfacctd stop >/dev/null 2>&1 || :
#/sbin/chkconfig --del pmacctd
#/sbin/chkconfig --del sfacctd
#/sbin/chkconfig --del nfacctd

%changelog
* Wed May 20 2015 Fernando Lunardelli <fernando.lunardelli@opservices.com.br> 1.5.1-1
- Updates to 1.5.1

* Tue Apr 07 2015 Fernando Lunardelli <fernando.lunardelli@opservices.com.br> 1.5.0-4
- Removes unused init scripts and adds dependences

* Wed Jul 27 2011  Chris Wilson <chris+pmacctrpm@aptivate.org> 0.14.0rc1-1
- Update version, remove sqlite (useless for this app), submit to Fedora/EPEL

* Fri Nov 17 2006  Peter Nixon <peter+rpmspam@suntel.com.tr> 0.10.1
- Changed the permissions of the conf files to writable

* Tue May 16 2006  Peter Nixon <peter+rpmspam@suntel.com.tr> 0.10.1
- Cleaned up SPEC file a some more and updated to 0.10.1

* Wed May 10 2006  Peter Nixon <peter+rpmspam@suntel.com.tr> 0.10.0
- Fixup spec file to work properly on SUSE Build system

* Tue Dec 27 2005  Douglas E. Warner <silfreed@silfreed.net> 0.9.6-2
- fixed package descriptions and conflicts for alldb

* Tue Dec 27 2005  Douglas E. Warner <silfreed@silfreed.net> 0.9.6-1
- upgraded to 0.9.6
- split database backends into separate binaries
- added 64bit counter support by default

* Fri Dec 08 2005  Douglas E. Warner <silfreed@silfreed.net> 0.9.5-1
- upgraded to 0.9.5
- removed shortver

* Mon Nov 13 2005  Douglas E. Warner <silfreed@silfreed.net> 0.9.4p1-1
- upgraded to 0.9.4p1
- defined shortver since directory didn't change

* Mon Nov 13 2005  Douglas E. Warner <silfreed@silfreed.net> 0.9.4-1
- upgraded to 0.9.4

* Tue Oct 12 2005  Douglas E. Warner <silfreed@silfreed.net> 0.9.3-1
- upgraded to 0.9.3

* Tue Aug 23 2005  Douglas E. Warner <silfreed@silfreed.net> 0.9.1-1
- upgraded to 0.9.1

* Tue May 24 2005  Douglas E. Warner <silfreed@silfreed.net> 0.8.6-2
- changed 'libmysqlclient' Require to 'mysql'

* Mon May 23 2005  Douglas E. Warner <silfreed@silfreed.net> 0.8.6-1
- removed epoch (old versions won't upgrade correctly)
- upgraded to 0.8.6

* Sat Apr 10 2004  Douglas E. Warner <dwarner@ctinetworks.com>
- Initial RPM release.


